{% extends "base.html" %}

{% block title %}Signup{% endblock title %}

{% block content %}

    <!-- Registration Form
    ================================================== -->
   
<script type="text/javascript" src="/static/js/jquery-2.1.3.min.js"></script>
<script type="text/javascript">
    $(document).ready(function(){
        $("#myForm").validationEngine();


    $(function() {
    // Click-handler for the refresh-link
    $('.captcha-refresh').click(function(){
        var $form = $(this).parents('form');
        var url = location.protocol + "//" + window.location.hostname + ":"
                  + location.port + "/captcha/refresh/";

        // Make the AJAX-call
        $.getJSON(url, {}, function(json) {
            $form.find('input[name="captcha_0"]').val(json.key);
            $form.find('img.captcha').attr('src', json.image_url);
        });

        return false;
        });
    });

 });

</script>
    


    <center>
    <div class="panel panel-default" style="width: 75%;" >

        <div class="panel-body">
            <div class="alert alert-info" role="alert"><strong><i>Employer? Signup <a href="{% url 'employer_signup' %}">Here</a></i></strong></div>
            <h2 class="text-center text-success"><strong><em>Please Sign Up</em></strong></h2>

            <form method="POST" id="myForm" action="{% url 'signup' %}">{% csrf_token %}

                {% if form.non_field_errors %}
                    <p class="error">
                        {% for error in form.non_field_errors %}
                            {{ error }}
                        {% endfor %}
                    </p>
                {% endif %}

                {% if passwd_length_alert %}
                    <div class="alert alert-danger" role="alert"><strong><em>Password Must Be Atleast 6 Chars.</em></strong></div>
                {% endif %}

                {% if passwd_alert %}
                    <div class="alert alert-danger" role="alert"><strong><em>Password Error.</em></strong></div>
                {% endif %}

                {% if email_alert %}
                    <div class="alert alert-danger" role="alert"><strong><em>E-mail Already Exists.</em></strong></div>
                {% endif %}

                {% if username_alert %}
                    <div class="alert alert-danger" role="alert"><strong><em>Username Already Exists.</em></strong></div>
                {% endif %}

                {% if success %}
                    <div class="alert alert-success" role="alert"><strong><em>Your Registration is Successfully Completed. Please Login.</a></em></strong></div>
                {% endif %}

                <br />

                <div class="form-group">
                    <div class="row">
                        <div class="col-sm-6">
                             <input class="form-control validate[required]" placeholder="First Name" maxlength="30" name="fname" type="text" value="{{ fname }}" /><br>
                        </div>
                        <div class="col-sm-6">
                            <input class="form-control validate[required]" placeholder="Last Name" maxlength="30" name="lname" type="text" value="{{ lname }}" />
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-6">
                            <input class="form-control validate[required]" placeholder="Username" maxlength="30" name="username" type="text" value="{{ uname }}" /><br>
                        </div>

                        <div class="col-sm-6">
                            <input class="form-control validate[required,custom[email]]" placeholder="Email Address" name="email" type="text" value="{{ email }}" />
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-6">
                            <input class="form-control validate[required]" placeholder="Password" id="password1" name="password1" type="password"  />
                        </div>
                        <div class="col-sm-6">
                            <input class="form-control validate[required,equals[password1]]" placeholder="Confirm Password" name="password2" type="password"/> 
                        </div>
                    </div> 
                </div>
                
                <br />
                {% for field in form %}
                    <div class="form-group">
                        {{ field.label_tag }}
                        <!-- If the field is required, display a * next to the field label -->
                        {% if field.field.required %}*{% endif %}
                        <br/>
                        <!-- Render the input field -->
                        {{ field }} <a href="#" class="captcha-refresh">Try different image</a>
                        <!-- Iterate over the field's errors, if any and display
                        them one by one in a error alert
                        -->
                        {% if field.errors %}
                            <p class="error">
                            {% for error in field.errors %}
                                {{ error }}
                            {% endfor %}
                            </p>
                        {% endif %}
                    </div>
                {% endfor %} 
                <br />

                <div class="row">
                    <br>
                    <div class="col-sm-6">
                        <button class="btn btn-lg btn-block btn-success" type="submit"><i class="glyphicon glyphicon-ok-sign"></i> Sign Up</button>
                    </div>
                    <div class="col-sm-6">
                        <button class="btn btn-lg btn-block btn-warning" type="reset"><i class="glyphicon glyphicon-repeat"></i> Reset</button>
                    </div>
                </div>

                
               
            </form>
        </div>

    </div>
    </center>

{% endblock content %}
